summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStephan Hartmann <sultan@gentoo.org>2021-07-20 09:15:58 +0200
committerStephan Hartmann <sultan@gentoo.org>2021-07-20 09:15:58 +0200
commitcac3228e1ce58191d3a8eac89339968ff7730599 (patch)
tree817bd221d48bc3ba4c81edae117c618b32e7a42f
parentwww-client/opera-beta: bump to 78.0.4093.46 (diff)
downloadgentoo-cac3228e1ce58191d3a8eac89339968ff7730599.tar.gz
gentoo-cac3228e1ce58191d3a8eac89339968ff7730599.tar.bz2
gentoo-cac3228e1ce58191d3a8eac89339968ff7730599.zip
www-client/opera-beta: bump to 78.0.4093.68
Package-Manager: Portage-3.0.20, Repoman-3.0.2 Signed-off-by: Stephan Hartmann <sultan@gentoo.org>
-rw-r--r--www-client/opera-beta/Manifest1
-rw-r--r--www-client/opera-beta/opera-beta-78.0.4093.68.ebuild133
2 files changed, 134 insertions, 0 deletions
diff --git a/www-client/opera-beta/Manifest b/www-client/opera-beta/Manifest
index a37939e279a1..ea4d577a834f 100644
--- a/www-client/opera-beta/Manifest
+++ b/www-client/opera-beta/Manifest
@@ -2,5 +2,6 @@ DIST opera-beta_77.0.4054.38_amd64.deb 74524540 BLAKE2B a62a16d139561fa29d56cece
DIST opera-beta_77.0.4054.91_amd64.deb 80822784 BLAKE2B 4d13e5e6f978f7cc3094c45e097485c64b7137ce6bc8a58c7a41092ef40dd85c86547750b2aa8e9b90b896bb5c1a2d87f852ce3a7e54e2c6711d82f62adb6b63 SHA512 66ac1dafbc4c0ee45b5b1e07efc940e5b8865cab5f5842f386c06de0692ef4bb186c4d306e066d19d54a70b2fffe071f106b2a753a7cc0f28d46f311d01e4f3b
DIST opera-beta_78.0.4093.34_amd64.deb 77036960 BLAKE2B d83d5075a8c8979d258c204725f28004fac3f81cdfb348de707aab0baa118c734b67a201f330be87ea86f4f5065c3d4172b301c2034eedbbfb8e1a6e6fabc54b SHA512 a239612c25aa98e78c8c7970dda4dc59e9b7a0e4d03207a0f279987c93e74edd7b05dedd6cdf82b308ac806b90ff936601a65dedcd5a2b95f4e74005e979d151
DIST opera-beta_78.0.4093.46_amd64.deb 77075956 BLAKE2B 0eb0d05dc2dd98d6f600b9f36ec247fba96bb51ef5c19dc7813448e8f65150bb0ba83018de2acab809fb5bdc6eafe7e56f47a8bb9aadf84b00d89da266a2b555 SHA512 72f16bfb20ca1aadee6f89db5ffb5b4cd5f031504629124f48d46c8799e490b82a37939c5079797c863675f0dfac02cb8980b3230f45979e4a21c38c4da8eb82
+DIST opera-beta_78.0.4093.68_amd64.deb 77090336 BLAKE2B 852cdf096bd15454ab75403bd7bdceb22e49775c630381dff1687655ee2c41718eb4cdd574e92be3816cd74418595858be44c4d89cf048905e010145956cd2f3 SHA512 77bef8fc5e99856a8ed1d52485c876c6df90fcd6d4d2fc1918947eeaf51fb7c6c142de0fdfa752e4eeb1f818b7c1c8c3fa15f26626da5ffc9bad393f6fd2ff57
DIST opera-ffmpeg-codecs-91.0.4472.19.tar.xz 1383552 BLAKE2B f278bcef8ec013e24bb5293f50cb82be8b9381d181d6e837e8ed0f5b5f7fbdbde4d6e16e30787def46c333f2d6fb7573c7fbdf09697400d9429b3bc154a8da92 SHA512 58c419e469f257e5d3a7ec2fb18885a61aa8f4d6a56f8f6922fb4d4cecbfd9267d7cd72a451d1b23ee88bad0bebd83affa0850a1bbf7b2b26dac398752c7e905
DIST opera-ffmpeg-codecs-92.0.4515.20.tar.xz 1382256 BLAKE2B 1e00bb4ee655573ac7b6c2f04ae2ae9a073f839ff6deeba3e3c4c2c58a10b1152068f0549fb3c6de758628317ad7c568cf5d3031294208800b470e3ed00c938b SHA512 6aeec66a9fcea1fcf5ecfd23b56589598f5e612e788b4e417037250470b83f91e461e3b0c20caf7853677d314053ca9d489983736708f15d21a82d68d2cdd5c2
diff --git a/www-client/opera-beta/opera-beta-78.0.4093.68.ebuild b/www-client/opera-beta/opera-beta-78.0.4093.68.ebuild
new file mode 100644
index 000000000000..5f5790fcf46c
--- /dev/null
+++ b/www-client/opera-beta/opera-beta-78.0.4093.68.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+CHROMIUM_LANGS="
+ be bg bn ca cs da de el en-GB en-US es-419 es fil fi fr-CA fr hi hr hu id
+ it ja ko lt lv ms nb nl pl pt-BR pt-PT ro ru sk sr sv sw ta te th tr uk vi
+ zh-CN zh-TW
+"
+inherit chromium-2 multilib pax-utils unpacker xdg
+
+DESCRIPTION="A fast and secure web browser"
+HOMEPAGE="https://www.opera.com/"
+LICENSE="OPERA-2018"
+SLOT="0"
+
+SRC_URI_BASE=(
+ "https://download1.operacdn.com/pub/${PN}"
+ "https://download2.operacdn.com/pub/${PN}"
+ "https://download3.operacdn.com/pub/${PN}"
+ "https://download4.operacdn.com/pub/${PN}"
+)
+
+if [[ ${PN} == opera ]]; then
+ MY_PN=${PN}-stable
+ SRC_URI_BASE=( "${SRC_URI_BASE[@]/%//desktop}" )
+else
+ MY_PN=${PN}
+fi
+
+KEYWORDS="-* ~amd64"
+
+FFMPEG_VERSION="92.0.4515.20"
+
+SRC_URI="${SRC_URI_BASE[@]/%//${PV}/linux/${MY_PN}_${PV}_amd64.deb}
+ proprietary-codecs? (
+ https://dev.gentoo.org/~sultan/distfiles/www-client/opera/opera-ffmpeg-codecs-${FFMPEG_VERSION}.tar.xz
+ )"
+
+IUSE="+proprietary-codecs suid"
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+ app-accessibility/at-spi2-atk:2
+ app-accessibility/at-spi2-core:2
+ dev-libs/atk
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ gnome-base/gsettings-desktop-schemas
+ media-libs/alsa-lib
+ media-libs/mesa[gbm]
+ net-misc/curl
+ net-print/cups
+ sys-apps/dbus
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libdrm
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/libxshmfence
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/pango
+"
+
+QA_PREBUILT="*"
+S=${WORKDIR}
+OPERA_HOME="opt/opera${PN#opera}"
+
+pkg_pretend() {
+ # Protect against people using autounmask overzealously
+ use amd64 || die "opera only works on amd64"
+}
+
+pkg_setup() {
+ chromium_suid_sandbox_check_kernel_config
+}
+
+src_unpack() {
+ :
+}
+
+src_install() {
+ dodir /
+ cd "${ED}" || die
+ unpacker
+
+ # move to /opt, bug #573052
+ mkdir -p "${OPERA_HOME%${PN}}"
+ mv "usr/lib/x86_64-linux-gnu/${PN}" "${OPERA_HOME%${PN}}" || die
+ rm -r "usr/lib" || die
+
+ # disable auto update
+ rm "${OPERA_HOME}/${PN%-*}_autoupdate"{,.licenses,.version} || die
+
+ rm -r "usr/share/lintian" || die
+
+ # fix docs
+ mv usr/share/doc/${MY_PN} usr/share/doc/${PF} || die
+ gzip -d usr/share/doc/${PF}/changelog.gz || die
+
+ # fix desktop file
+ sed -i \
+ -e 's|^TargetEnvironment|X-&|g' \
+ usr/share/applications/${PN}.desktop || die
+
+ # remove unused language packs
+ pushd "${OPERA_HOME}/localization" > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ # setup opera symlink
+ rm "usr/bin/${PN}" || die
+ dosym "../../${OPERA_HOME}/${PN}" "/usr/bin/${PN}"
+
+ # install proprietary codecs
+ rm "${OPERA_HOME}/resources/ffmpeg_preload_config.json" || die
+ if use proprietary-codecs; then
+ mv lib_extra "${OPERA_HOME}"
+ fi
+
+ # pax mark opera, bug #562038
+ pax-mark m "${OPERA_HOME}/opera"
+ # enable suid sandbox if requested
+ use suid && fperms 4711 "${OPERA_HOME}/opera_sandbox"
+}